# IRdSkinningData Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | GetNumRecords ([out, retval] RtDWORD *dwNumRecords)
HRESULT | SetNumRecords ([in] RtDWORD dwNumRecords)
## Properties
RtFloat * | x ([in] RtDWORD dwIndex)`[get]`
RtFloat | x ([in] RtDWORD dwIndex)`[set]`
RtFloat * | y ([in] RtDWORD dwIndex)`[get]`
RtFloat | y ([in] RtDWORD dwIndex)`[set]`
RtFloat * | z ([in] RtDWORD dwIndex)`[get]`
RtFloat | z ([in] RtDWORD dwIndex)`[set]`
RtFloat * | weight ([in] RtDWORD dwIndex)`[get]`
RtFloat | weight ([in] RtDWORD dwIndex)`[set]`

## Detailed Description

IRdSkinningData:

- Specifies skinning data in a stream consisting of RtSkinningData elements.
- Each skin weight is stored as position and weight.
- This stream is deprecated and should not be used. Use RdSkinWeightDirect or RdSkinWeightIndexed instead.

## Member Function Documentation

HRESULT IRdSkinningData::GetNumRecords | ( | [out, retval] RtDWORD * | dwNumRecords | ) |

Get number of skinned vertices

Returns:
  standard HRESULT processing can be applied to returned value

HRESULT IRdSkinningData::SetNumRecords | ( | [in] RtDWORD | dwNumRecords | ) |

Set number of skinned vertices

Returns:
  standard HRESULT processing can be applied to returned value

## Property Documentation

RtFloat* IRdSkinningData::x([in] RtDWORD dwIndex)`[get]`

Get X coordinate of i-th skin record

Parameters:

  | dwIndex | Vertex index
  | pVal | retrived value

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdSkinningData::x([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | newVal | X value to set

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat* IRdSkinningData::y([in] RtDWORD dwIndex)`[get]`

Get Y coordinate of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | newVal | retrived value

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdSkinningData::y([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | newVal | X value to set

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat* IRdSkinningData::z([in] RtDWORD dwIndex)`[get]`

Get Z coordinate of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | pVal | retrived value

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdSkinningData::z([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | newVal | X value to set

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat* IRdSkinningData::weight([in] RtDWORD dwIndex)`[get]`

Get weight of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | pVal | retrived value

Returns:
  standard HRESULT processing can be applied to returned value

RtFloat IRdSkinningData::weight([in] RtDWORD dwIndex)`[set]`

Set X coordinate of i-th vertex

Parameters:

  | dwIndex | Vertex index
  | newVal | X value to set

Returns:
  standard HRESULT processing can be applied to returned value